#!/bin/bash

echo "install dependencies"

pwd

# libeasy
cd /opt/dev
rm -fr libeasy
mkdir -p /usr/include/easy
exec_cmd git clone -b devel https://dev.iopsys.eu/iopsys/libeasy.git
cd libeasy
exec_cmd make CFLAGS+="-I/usr/include/libnl3"
exec_cmd cp -a libeasy*.so* /usr/lib
exec_cmd cp -a easy.h event.h utils.h if_utils.h debug.h hlist.h /usr/include/easy/

# libqos
cd /opt/dev
rm -fr libqos
exec_cmd git clone -b devel https://dev.iopsys.eu/iopsys/libqos.git
cd libqos
make PLATFORM=TEST
cp include/qos.h /usr/include
cp -a libqos.so* /usr/lib
sudo ldconfig
